#!/usr/bin/env node

import yargs from 'yargs';
import { generateManifest, ESOManifest } from './index';
import fs from 'fs';
const argv = yargs.options({
    manifestFileName: { type: 'string', demandOption: true },
    inputJSONFileName: { type: 'string', demandOption: true }
}).argv;

new Promise<ESOManifest>((resolve, reject) => fs.readFile(argv.inputJSONFileName, 'utf8', (error, data) => {
    if (error) {
        reject(error);
    } else {
        resolve(JSON.parse(data));
    }
}))
    .then(data => generateManifest(argv.manifestFileName, data))
    .then(manifestLines => console.log(manifestLines.join('\n')));
